libcommons-logging-java (1.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:26:41 +0800

libcommons-logging-java (1.2-2) unstable; urgency=medium

  * Build with the DH sequencer instead of CDBS
  * Removed 01_target13_BuildXml.patch
  * Removed Niels Thykier from the uploaders (Closes: #770575)
  * Moved the package to Git
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 10
  * Use a secure URL in debian/watch

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 12 Jan 2018 11:55:00 +0100

libcommons-logging-java (1.2-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed the patches
  * debian/control:
    - Build depend on libservlet3.1-java instead of libservlet3.0-java
    - Standards-Version updated to 3.9.5 (no changes)
    - Use canonical URLs for the Vcs-* fields
    - Removed the suggested dependency on libservlet3.0-java
  * Switch to debhelper level 9
  * debian/rules:
    - Use XZ compression for the upstream tarball built by get-orig-source
    - Install the upstream changelog

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 14 Jul 2014 23:11:17 +0200

libcommons-logging-java (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 21 May 2013 22:18:11 +0200

libcommons-logging-java (1.1.2-2) experimental; urgency=low

  * Fix Bundle-SymbolicName commons-logging -> org.apache.commons.logging
    (Closes: #705421).
  * Add Jakub Adam to Uploaders.
  * Fix a typo in package synopsis.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 15 Apr 2013 18:33:00 +0200

libcommons-logging-java (1.1.2-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Updated Standards-Version to 3.9.4: no changes needed.
  * Refreshed the patches
  * Fixed the outdated OSGi metadata
  * Upgraded the dependency on the Servlet API (2.5 -> 3.0)
  * debian/copyright: converted to DEP5 format, updated the contributors
  * debian/rules: the clean target now properly removes the debian/.mh directory

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 04 Apr 2013 14:48:38 +0200

libcommons-logging-java (1.1.1-9) unstable; urgency=low

  * Team upload.
  * Drop dependencies on Java runtimes since its a library.
  * Updated Standards-Version to 3.9.2: no changes needed.
  * Remove Michael Koch from Uploaders. (Closes: #654059).
  * Fix typo in package's description. (Closes: #633997).
  * Improve Maven metadata:
    - Build-Depends and Depends on libcommons-parent-java.
    - Don't use --no-parent for mh_installjar.
    - Fix groupId of Avalon.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 07 Jan 2012 01:51:59 +0100

libcommons-logging-java (1.1.1-8) unstable; urgency=low

  * Team upload
  * Non-maintainer upload.
  * Add POM file for commons-api. (Closes: #581853)
  * Remove Arnaud from Uploaders list.

 -- Torsten Werner <twerner@debian.org>  Tue, 25 May 2010 23:50:33 +0200

libcommons-logging-java (1.1.1-7) unstable; urgency=low

  [ Onkar Shinde ]
  * Replace build/runtime dep liblogkit-java with libexcalibur-logkit-java.
    Adjust DEB_JARS in rules file and properties in ant.properties accordingly.
  * Add build dependency libavalon-framework-java.
  * Update standards version to 3.8.4.
  * debian/patches/06_classpath_manifest.patch
    - Add a 'Class-Path' entry in MANIFEST.MF file with a list of appropriate
      jar files.

  [ Kumar Appaiah ]
  * Remove myself from Uploaders.

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Fri, 19 Mar 2010 07:44:01 -0500

libcommons-logging-java (1.1.1-6) unstable; urgency=low

  * Added myself to uploaders.
  * Imported patch from Fedora to add OSGi metadata. (Closes: #558183)
  * Converted source to 3.0 (quilt).
  * Made debian/rules respect errors in the clean target.
  * Added descriptions to some patches.

 -- Niels Thykier <niels@thykier.net>  Sat, 28 Nov 2009 09:50:15 +0100

libcommons-logging-java (1.1.1-5) unstable; urgency=low

  * Build-Depends on libservlet2.5-java instead of libservlet2.3-java.
  * Remove Suggests on libservlet2.3-java and libservlet2.4-java.
  * Build-Depends on debhelper >= 7.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Sat, 26 Sep 2009 13:02:56 +0200

libcommons-logging-java (1.1.1-4) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 12:05:47 +0200

libcommons-logging-java (1.1.1-3.2) experimental; urgency=low

  * Add more suggestions for the version of the servlet API:
     libservlet2.4-java | libservlet2.5-java
  * Add a Maven rule to use artifact id commons-logging instead of
     commons-logging-api
  * Move api documentation to /usr/share/java/doc/libcommons-logging-java/api

 -- Ludovic Claude <ludovic.claude@laposte.net>  Wed, 22 Jul 2009 22:06:48 +0100

libcommons-logging-java (1.1.1-3.1) experimental; urgency=low

  [Ludovic Claude]
  * Non-maintainer upload.
  * Remove Depends: on the Java runtimes for the java-doc package
  * Add ${misc:Depends} on both Depends: attributes to fix Linitian warnings
  * Add the Maven POM to the package,
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Use mh_installpom and mh_installjar to install the POM and the jar to the
    Maven repository
  * debian/rules: Add the manifest to the jar

  [ Emmanuel Bourg and Sylvestre Ledru ]
  * Update of the URLs
  * Rename Jakarta Commons to Apache Commons

 -- Ludovic Claude <ludovic.claude@laposte.net>  Thu, 02 Jul 2009 12:21:41 +0100

libcommons-logging-java (1.1.1-3) unstable; urgency=low

  * Move libservlet2.3-java from Depends to Suggests (Closes: #526043)
  * Change section to java

 -- Varun Hiremath <varun@debian.org>  Thu, 07 May 2009 20:17:10 -0400

libcommons-logging-java (1.1.1-2) unstable; urgency=low

  [ Matthias Klose ]
  * (Build-)depend on default-jre/-jdk.

  [ Varun Hiremath ]
  * Split out api docs into a separate -doc package (Closes: #506364)
  * Update Vcs headers
  * Bump Standards-Version to 3.8.0
  * Remove full text of the Apache-2 license from debian/copyright

 -- Varun Hiremath <varun@debian.org>  Sat, 06 Dec 2008 20:55:36 -0500

libcommons-logging-java (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    + Refresh 01_target13_BuildXml.patch and 02_build_javadoc.patch.
  * debian/control:
    + Make XS-Svn-* fields Svn-*, as dpkg supports them now.
    + Standards version is now 3.7.3.
  * debian/patches:
    + 03_disable_securityallow_test.patch: Added to disable the
      SecurityAllowedTestCase which fails to on GCJ. The issue
      seems to be with gcj, so we don't run this test till gcj
      is fixed.
    + 04_fix_jarname.patch: Remove the SNAPSHOT from the generated JAR's
      filename.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sat, 29 Dec 2007 18:40:45 +0530

libcommons-logging-java (1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Add Varun Hiremath and Kumar Appaiah as uploaders.
    + Add Homepage, XS-Vcs-Svn and XS-Vcs-Browser fields.
    + Move cdbs and debhelper to Build-Depends, rest to Build-Depends-Indep.
    + Build-Depend and Depend on libservlet2.3-java.
  * debian/links: Removed, functionality in debian/rules.
  * debian/dirs: Removed, functionality in debian/rules.
  * debian/compat: Bump to 5.
  * debian/patches/01_target13_BuildXml.patch: updated for new upstream release.
  * debian/patches/02_build_javadoc.patch: Added for building API docs through build.xml.
  * debian/watch: Bump to version 3.
  * debian/copyright:
    + Add copyright, upstream authors.
    + Add Debian packaging copyright.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Wed, 26 Sep 2007 06:51:56 +0530

libcommons-logging-java (1.0.4-6) unstable; urgency=low

  * Use java-gcj-compat instead of kaffe.
  * Moved Build-Depends-Indep to Build-Depends.
  * Removed Wolfgang and added myself to Uploaders.
  * Updated Standards-Version.

 -- Michael Koch <konqueror@gmx.de>  Sun, 17 Jun 2007 14:06:07 -0100

libcommons-logging-java (1.0.4-5) unstable; urgency=low

  * Removed Takashi Okamoto from uploaders (closes: #352985).
  * debian/watch: added.
  * debian/rules: removed ant-launcher.jar from the classpath.

 -- Arnaud Vandyck <avdyk@debian.org>  Mon, 24 Apr 2006 21:52:32 +0200

libcommons-logging-java (1.0.4-4) unstable; urgency=low

  * kaffe compiler transition

 -- Wolfgang Baer <WBaer@gmx.de>  Sun, 15 Jan 2006 17:55:22 +0100

libcommons-logging-java (1.0.4-3) unstable; urgency=low

  * Added java1-runtime as alternative to depends (closes: #309030)
  * Added liblog4j1.2-java, liblogkit-java and libavalon-framework-java
    to Suggests as this is a wrapper library for all these loggers.
  * Build javadoc and register with doc-base
  * Removed duplicate rules file in top-level dir
  * Convert changes to build.xml into a patch (01_target13_BuildXml.patch)
    and ant.properties (placed into debian dir)
  * Added dependency on libavalon-framework-java to build avalon log wrapper
  * Enabled junit tests - added junit build-dep
  * Changed libant1.6-java build-dep to ant, ant-optional
  * Standards-Version 3.6.2 (no changes)
  * Added myself as uploader

 -- Wolfgang Baer <WBaer@gmx.de>  Sun, 02 Oct 2005 18:03:25 +0200

libcommons-logging-java (1.0.4-2) unstable; urgency=low

  * rebuild with -source 1.3 option to keep compatibility for j2sdk1.3.

 -- Takashi Okamoto <tora@debian.org>  Fri,  6 Aug 2004 23:32:14 +0900

libcommons-logging-java (1.0.4-1) unstable; urgency=low

  * New upstream release
  * fixed FTBFS (closes: #249118)

 -- Takashi Okamoto <tora@debian.org>  Tue,  6 Jul 2004 10:30:31 +0900

libcommons-logging-java (1.0.3-5) unstable; urgency=low

  * Fixed depends field.

 -- Takashi Okamoto <tora@debian.org>  Sun,  2 May 2004 21:42:16 +0900

liblibcommons-logging-java (1.0.3-4) unstable; urgency=low

  * Fixed build dependency.
  * change maintainer to Debian Java Maintainers.

 -- Takashi Okamoto <tora@debian.org>  Sat,  1 May 2004 20:40:35 +0900

libcommons-logging-java (1.0.3-3) unstable; urgency=low

  * Move to main. (closes: #237365)
  * remove libcommons-logging-java-doc because main tools couldn't
    support javadoc.

 -- Takashi Okamoto <tora@debian.org>  Sat,  1 May 2004 18:06:52 +0900

libcommons-logging-java (1.0.3-2) unstable; urgency=low

  * update depend field for log4j1.2-java.(closes:#191174)

 -- Takashi Okamoto <tora@debian.org>  Tue, 29 Apr 2003 12:11:44 +0900

libcommons-logging-java (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Takashi Okamoto <tora@debian.org>  Sat, 12 Apr 2003 23:25:34 +0900

libcommons-logging-java (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Takashi Okamoto <tora@debian.org>  Sun,  6 Oct 2002 19:22:59 +0900

libcommons-logging-java (1.0.1-2) unstable; urgency=low

  * fixed typo(closes: #159998)

 -- Takashi Okamoto <tora@debian.org>  Sun,  8 Sep 2002 10:43:02 +0900

libcommons-logging-java (1.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Takashi Okamoto <tora@debian.org>  Mon,  5 Nov 2001 08:15:04 +0900

Local variables:
mode: debian-changelog
End:
